<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\DatamodulHelper\Teilnehmer;

use Kufer\Web\Classes\Dbfilter\TeilnehmerSQLFilter;

class VeranstalterTeilnehmerUebersicht extends TeilnehmerHelper
{
  public function __construct($toolSettings, \Kufer\Web\KuferTools\Utils\FilterSettings\IFilterSettings $filterSettings, $user)
  {
    parent::__construct($toolSettings, $filterSettings, $user);
  }

  protected function setzeFilter(\DBWorkTeilnehmer $dbwTeilnehmer, TeilnehmerSQLFilter $filter, int $pToolId): \DBWorkTeilnehmer
  {
    $tnSearch = new \Kufer\Web\KuferTools\Utils\FilterSearch\TeilnehmerSearchFilter();
    $tnSearch->applySearchFromSession($filter, 'tool' . $pToolId);

    return $dbwTeilnehmer;
  }

  protected function setzeSortierung(\DBWorkTeilnehmer $dbwTeilnehmer): \DBWorkTeilnehmer
  {
    $dbwTeilnehmer->setPersonenOrderBySettings($this->toolSettings, 'tn');

    return $dbwTeilnehmer;
  }
}